<?php
/**
 * Article title slider
 *
 * @package 	Article title slider
 * @subpackage 	mod_article_title_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/04/article-title-slider-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\ArticleTitleSlider\Site\Helper\ArticleTitleSliderHelper;

$modbase 	= JURI::base(true).'/modules/mod_article_title_slider/';
$document 	= JFactory::getDocument();
$ats_jquery = $params->get("ats_jquery","NO");
if($ats_jquery == "YES") {
	JHtml::_('jquery.framework');
}
$document->addStyleSheet($modbase.'css/mod_article_title_slider.css');
$document->addScript ($modbase.'js/jquery.cycle.all.latest.js');

$items 		= ArticleTitleSliderHelper::getArticleList($params);

require ModuleHelper::getLayoutPath('mod_article_title_slider', $params->get('layout', 'default'));